/usr/local/lib/libz.so.1: no version information available (required by python)

Na serwerze z zainstalowanym DirectAdminem, przy próbie aktualizacji listy pakietów lub korzystania z interpretera Pythona pojawiał się komunikat:

/usr/local/lib/libz.so.1: no version information available (required by python)

Rozwiązaniem jest aktualizacja bibliotek zlib oraz libxml do nowszych wersji oraz rekompilacja biblioteki zlib:

cd /usr/local/directadmin/custombuild
./build update
perl -pi -e 's/zlib:1.2.3:.*/zlib:1.2.5:/' versions.txt
perl -pi -e 's/libxml2:2.7.6:.*/libxml2:2.7.8:/' versions.txt
./build zlib

Linki

http://www.vr.org/knowledgebase/3182/orusrorlocalorliborlibzso1-no-version-information-available-required-by-python.html

Ten wpis został opublikowany w kategorii DirectAdmin, Linux, Python. Dodaj zakładkę do bezpośredniego odnośnika.

Dodaj komentarz

Twój adres email nie zostanie opublikowany.